## kldap 25.08.0

=== debian/changelog ===
kldap (25.08.0-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 00:50:38 +0000

kldap (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:50:13 +0000

kldap (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:25:52 +0000

kldap (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:26:44 +0000

kldap (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:16:26 +0000

kldap (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:22:42 +0000

kldap (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:44:17 +0000

kldap (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:31:00 +0000

kldap (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:23:01 +0000

kldap (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:18:54 +0000

kldap (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:26:24 +0000

kldap (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:04:31 +0000

kldap (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:34:56 +0000

kldap (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:34:23 +0000

kldap (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:12:28 +0000

kldap (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:33:42 +0000

kldap (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:24:23 +0000

kldap (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:16:36 +0000

kldap (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:56:13 +0000

kldap (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 16:59:55 +0000

kldap (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:31:03 +0000

kldap (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:02:12 +0000

kldap (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:02:12 +0000

kldap (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:53:26 +0000

kldap (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:33:16 +0000

kldap (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 18:56:45 +0000

kldap (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:22:22 +0000

kldap (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:54:07 +0000

kldap (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:33:21 +0000

kldap (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:39:24 +0000

kldap (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:00:48 +0000

kldap (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:50:19 +0000

kldap (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:02:07 +0000

kldap (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:47:03 +0000

kldap (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:14:05 +0000

kldap (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:08:01 +0000

kldap (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:16:58 +0000

kldap (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:06:36 +0000

kldap (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:06:39 +0000

kldap (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Nov 2021 12:25:17 +0000

kldap (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 13:33:46 +0000

kldap (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:06 +0000

kldap (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:20:21 +0000

kldap (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:55:34 +0000

kldap (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:25:38 +0000

kldap (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:56:44 +0000

kldap (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:23:32 +0000

kldap (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:01:53 +0000

kldap (20.12.2-0neon) focal; urgency=medium



## kldap 25.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.1")

project(KLdap VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH
    ${KLdap_SOURCE_DIR}/cmake
    ${ECM_MODULE_PATH}
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    kioworker/*.cpp
    kioworker/*.h
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)
include(ECMCheckOutboundLicense)
set(KLDAP_LIB_VERSION ${PIM_VERSION})

find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION} CONFIG)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(
    Qt6Keychain
    PROPERTIES
        DESCRIPTION
            "Provides support for secure credentials storage"
        URL
            "https://github.com/frankosterfeld/qtkeychain"
        TYPE
            REQUIRED
)

# tell what is missing without doctools
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Provides tools to generate documentation in various format from DocBook files"
        TYPE
            OPTIONAL
        PURPOSE
            "Required to build documentation"
)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

########### Find packages ###########
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

find_package(Ldap)
set_package_properties(
    Ldap
    PROPERTIES
        TYPE
            RECOMMENDED
        PURPOSE
            "Needed to provide LDAP functionality in KDE"
)

find_package(Sasl2)
set_package_properties(
    Sasl2
    PROPERTIES
        TYPE
            REQUIRED
)

if(Ldap_FOUND)
    set(LDAP_FOUND 1)
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"libkldap6\")

########### Targets ###########
add_subdirectory(src)
add_subdirectory(kioworker)

ecm_qt_install_logging_categories(
        EXPORT KLDAP
        FILE kldap.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
endif()
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    kioworker/*.cpp
    kioworker/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== kioworker/doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(ldap)

=== src/widgets/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
########## next target ###############
add_executable(
    testldapclient
    testldapclient.cpp
    testldapclient.h
)

target_link_libraries(
    testldapclient
    KPim6::LdapWidgets
    Qt::Widgets
)

#####
add_executable(ldapconfigurewidgetng_gui ldapconfigurewidgetng_gui.cpp)

target_link_libraries(
    ldapconfigurewidgetng_gui
    KPim6::LdapWidgets
    Qt::Widgets
)

=== debian/changelog ===
kldap (25.08.1-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 02:36:27 +0000

kldap (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:24:25 +0000

## kldap 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 
 project(KLdap VERSION ${PIM_VERSION})

=== kioworker/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_library(kio_ldap MODULE)
target_sources(
    kio_ldap
    PRIVATE
        kio_ldap.cpp
        kio_ldap.h
)
ecm_qt_declare_logging_category(kio_ldap
        HEADER kldap_debug.h
        IDENTIFIER KLDAP_KIO_WORKERS_LOG
        CATEGORY_NAME kf.kio.workers.ldap
        DESCRIPTION "ldap KIO worker"
        OLD_CATEGORY_NAMES log_kldap org.kde.pim.kldap
        EXPORT KLDAP
)

target_link_libraries(
    kio_ldap
    Qt::Network
    KF6::KIOCore
    KF6::I18n
    KPim6::LdapCore
)
if(WIN32)
    target_link_libraries(kio_ldap ws2_32)
endif()
set_target_properties(
    kio_ldap
    PROPERTIES
        OUTPUT_NAME
            "ldap"
)
install(TARGETS kio_ldap DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kio)

=== debian/changelog ===
kldap (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:47:40 +0100

kldap (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:54:43 +0100

kldap (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:25:17 +0100

=== debian/control ===
Source: kldap
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libldap2-dev,
               libsasl2-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qtkeychain-qt6-dev (>= 0.14.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kldap
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kldap
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kldap
Rules-Requires-Root: no

Package: kio-ldap
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for accessing LDAP - kio slave
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the KIO slave.

Package: libkldap-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Arch independent data forlibrary for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the arch independent data for KLdap.

Package: libkldap-dev
Architecture: any
Multi-Arch: same
Depends: libkpim6ldapcore6 (= ${binary:Version}),
         libkpim6ldapwidgets6 (= ${binary:Version}),
         libldap2-dev,
         libsasl2-dev,
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Recommends: libkldap-doc (= ${source:Version}),
Description: library for accessing LDAP - development files
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the development files.
Section: libdevel

Package: libkldap-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for accessing LDAP (documentation)
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the documentation files.
Section: doc

Package: libkpim6ldapcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkldap-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6ldapwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkldap-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib := $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	- dh_auto_test --no-parallel

## kldap 25.08.2+p24.04+vstable+git20251015.1239

=== debian/changelog ===
kldap (25.08.2+p24.04+vstable+git20251015.1239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:39:32 +0000

kldap (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:34 +0000
 

## kldap 25.08.2+p24.04+vstable+git20251019.0533

=== src/core/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMAddTests)

find_package(Qt6Test CONFIG REQUIRED)

if(Ldap_FOUND)
    ecm_add_tests(testkldap.cpp NAME_PREFIX "kldap-" LINK_LIBRARIES KPim6::LdapCore Qt::Test)
endif()

####
add_executable(
    ldapclientsearchconfigreadconfigjobtest
    ldapclientsearchconfigreadconfigjobtest.cpp
    ldapclientsearchconfigreadconfigjobtest.h
)
add_test(NAME ldapclientsearchconfigreadconfigjobtest COMMAND ldapclientsearchconfigreadconfigjobtest)
ecm_mark_as_test(ldapclientsearchconfigreadconfigjobtest)
target_link_libraries(
    ldapclientsearchconfigreadconfigjobtest
    Qt::Test
    KPim6::LdapCore
    KF6::ConfigCore
)

=== debian/changelog ===
kldap (25.08.2+p24.04+vstable+git20251019.0533-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:33:34 +0000

=== debian/control ===
Source: kldap
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcompletion-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kpim6-kmbox-dev,
               libldap2-dev,
               libsasl2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qtkeychain-qt6-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kldap
Vcs-Git: https://invent.kde.org/neon/kde/kldap.git
Vcs-Browser: https://invent.kde.org/neon/kde/kldap
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kldap
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kio-ldap (<< 24.02.0)
Replaces: kio-ldap (<< 24.02.0),
          kio6-ldap,
          libkf5ldap5,
          libkf6ldap6,
          libkpim6ldap6
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kpim6-kldap-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kpim6-kldap (= ${binary:Version}),
         libldap2-dev,
         libsasl2-dev,
         qt6-base-dev,
         ${misc:Depends}
Provides: libkf5ldap-dev, libkf6ldap-dev, libkpim6ldap-dev
Description: library for accessing LDAP - development files
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the development files.

Package: kio6-ldap
Architecture: all
Depends: kpim6-kldap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kio-ldap
Architecture: all
Depends: kpim6-kldap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6ldap6
Architecture: all
Depends: kpim6-kldap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6ldap-dev
Architecture: all
Depends: kpim6-kldap-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6ldap6
Architecture: all
Depends: kpim6-kldap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6ldap-dev
Architecture: all
Depends: kpim6-kldap-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5ldap5
Architecture: all
Depends: kpim6-kldap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5ldap-dev
Architecture: all
Depends: kpim6-kldap-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kldap 25.08.2+p24.04+vstable+git20251021.0318

=== debian/changelog ===
kldap (25.08.2+p24.04+vstable+git20251021.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:18:36 +0000

## kldap 25.08.2+p24.04+vunstable+git20251011.0900

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,16 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 
 project(KLdap VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${KLdap_SOURCE_DIR}/cmake
@@ -100,7 +101,7 @@
 find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
 
 find_package(Ldap)
 set_package_properties(

=== debian/changelog ===
kldap (25.08.2+p24.04+vunstable+git20251011.0900-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:00:56 +0000

## kldap 25.08.2+p24.04+vunstable+git20251013.0505

=== debian/changelog ===
kldap (25.08.2+p24.04+vunstable+git20251013.0505-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 05:05:58 +0000

## kldap 25.08.2+p24.04+vunstable+git20251020.1126

=== CMakeLists.txt ===
--- 
+++ 
@@ -101,7 +101,7 @@
 find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 find_package(Ldap)
 set_package_properties(

=== debian/changelog ===
kldap (25.08.2+p24.04+vunstable+git20251020.1126-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:26:44 +0000

## kldap 25.08.2+p24.04+vunstable+git20251022.0258

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(KLdap VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
kldap (25.08.2+p24.04+vunstable+git20251022.0258-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 02:58:49 +0000

## kldap 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,15 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.5.3")
 
 project(KLdap VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.14.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 set(CMAKE_CXX_STANDARD 20)
-set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${KLdap_SOURCE_DIR}/cmake
@@ -101,7 +100,7 @@
 find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
 
 find_package(Ldap)
 set_package_properties(

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(CheckFunctionExists)
include(CheckIncludeFiles)
include(CheckSymbolExists)

ecm_setup_version(PROJECT VARIABLE_PREFIX KLDAPCORE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kldap_core_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6LdapCoreConfigVersion.cmake"
    SOVERSION 6
)

check_include_files(
    sys/time.h
    HAVE_SYS_TIME_H
)

set(kldap_EXTRA_LIBS)

if(Ldap_FOUND)
    set(kldap_EXTRA_LIBS Ldap::Ldap)
    if(WIN32)
        set(kldap_EXTRA_LIBS
            ${kldap_EXTRA_LIBS}
            ws2_32
        )
    endif()
    set(CMAKE_REQUIRED_INCLUDES
        lber.h
        ldap.h
    )
    set(CMAKE_REQUIRED_LIBRARIES Ldap::Ldap)
    check_function_exists(
        ldap_start_tls_s
        HAVE_LDAP_START_TLS_S
    )
    check_function_exists(
        ldap_initialize
        HAVE_LDAP_INITIALIZE
    )
    check_function_exists(
        ber_memfree
        HAVE_BER_MEMFREE
    )
    check_function_exists(
        ldap_unbind_ext
        HAVE_LDAP_UNBIND_EXT
    )
    check_function_exists(
        ldap_extended_operation
        HAVE_LDAP_EXTENDED_OPERATION
    )
    check_function_exists(
        ldap_extended_operation_s
        HAVE_LDAP_EXTENDED_OPERATION_S
    )
endif()

set(kldap_EXTRA_LIBS
    ${kldap_EXTRA_LIBS}
    Sasl2::Sasl2
)

configure_file(kldap_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/kldap_config.h)

########### next target ###############

add_library(KPim6LdapCore)
add_library(KPim6::LdapCore ALIAS KPim6LdapCore)

target_sources(
    KPim6LdapCore
    PRIVATE
        ber.cpp
        ldif.cpp
        ldapurl.cpp
        ldapserver.cpp
        ldapobject.cpp
        ldapconnection.cpp
        ldapoperation.cpp
        ldapcontrol.cpp
        ldapsearch.cpp
        ldapdn.cpp
        ldif.h
        ldapsearch.h
        w32-ldap-help.h
        ldapurl.h
        ldapcontrol.h
        ber.h
        ldapdefs.h
        ldapconnection.h
        ldapdn.h
        ldapoperation.h
        ldapserver.h
        ldapobject.h
        ldapmodel.h
        ldapmodel.cpp
        ldapsortproxymodel.cpp
        ldapsortproxymodel.h
        ldapactivitiesabstract.h
        ldapactivitiesabstract.cpp
        ldapclientsearchconfigreadconfigjob.cpp
        ldapclientsearchconfigreadconfigjob.h
        ldapclientsearchconfigwriteconfigjob.cpp
        ldapclientsearchconfigwriteconfigjob.h
        ldapsearchclientreadconfigserverjob.cpp
        ldapsearchclientreadconfigserverjob.h
        ldapclient.cpp
        ldapclient.h
        ldapclientsearchconfig.cpp
        ldapclientsearchconfig.h
        ldapclientsearch.cpp
        ldapclientsearch.h
)

ecm_qt_declare_logging_category(KPim6LdapCore HEADER ldap_core_debug.h IDENTIFIER LDAP_CORE_LOG CATEGORY_NAME org.kde.pim.ldap.core
    DESCRIPTION "kpim6ldapcore (kldap)"
    OLD_CATEGORY_NAMES log_ldap_core
    EXPORT KLDAP
)

ecm_qt_declare_logging_category(KPim6LdapCore HEADER ldapclient_core_debug.h IDENTIFIER LDAPCLIENT_CORE_LOG CATEGORY_NAME org.kde.pim.ldapclientcore
    DESCRIPTION "ldapclient core (kldap)"
    EXPORT KLDAP
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6LdapCore
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KPim6LdapCore BASE_NAME kldap_core)

target_link_libraries(
    KPim6LdapCore
    PRIVATE
        KF6::I18n
        KF6::ConfigCore
        KF6::CoreAddons
        KF6::KIOCore
        ${kldap_EXTRA_LIBS}
)

target_link_libraries(KPim6LdapCore PRIVATE qt6keychain)

target_include_directories(KPim6LdapCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KLDAPCore>")
target_include_directories(
    KPim6LdapCore
    PUBLIC
        "$<BUILD_INTERFACE:${KLdap_SOURCE_DIR}/src/core;${KLdap_BINARY_DIR}/src>"
)

set_target_properties(
    KPim6LdapCore
    PROPERTIES
        VERSION
            ${KLDAPCORE_VERSION}
        SOVERSION
            ${KLDAPCORE_SOVERSION}
        EXPORT_NAME
            LdapCore
)

install(TARGETS KPim6LdapCore EXPORT KPim6LdapCoreTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

ecm_generate_headers(KLdapCore_CamelCase_HEADERS
    HEADER_NAMES
    Ber
    LdapConnection
    LdapControl
    LdapDN
    LdapObject
    LdapOperation
    LdapSearch
    LdapServer
    LdapDefs
    LdapUrl
    Ldif
    LdapActivitiesAbstract
    LdapModel
    LdapClientSearchConfigWriteConfigJob
    LdapClientSearchConfigReadConfigJob
    LdapSearchClientReadConfigServerJob
    LdapClientSearchConfig
    LdapClient
    LdapClientSearch
    LdapSortProxyModel
    PREFIX KLDAPCore
    REQUIRED_HEADERS KLdapCore_HEADERS
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kldap_core_export.h
        ${KLdapCore_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KLDAPCore/kldapcore
    COMPONENT Devel
)

install(
    FILES
        ${KLdapCore_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KLDAPCore/KLDAPCore/
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6LdapCore_QCH
        NAME KLdapCore
        BASE_NAME KPim6LdapCore
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde

        SOURCES # using only public headers, to cover only public API
        ${KLdapCore_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
        Qt6Core_QCH
        INCLUDE_DIRS
        ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
        KLDAP_CORE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6LdapCore")

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6LdapCore_QCH
        FILE KPim6LdapCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6LdapCoreQchTargets.cmake\")")
endif()

install(
    EXPORT KPim6LdapCoreTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6LdapCoreTargets.cmake
    NAMESPACE KPim6::
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimLdapCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6LdapCoreConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6LdapCoreConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6LdapCoreConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kldap_core_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KLDAPCore
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== debian/changelog ===
kldap (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:26 +0100

kldap (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:22:55 +0100

=== debian/control ===
Source: kldap
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkf6doctools-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libldap2-dev,
               libsasl2-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qtkeychain-qt6-dev (>= 0.14.2~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kldap
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kldap
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kldap.git
Rules-Requires-Root: no

Package: kio-ldap
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for accessing LDAP - kio slave
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the KIO slave.

Package: libkldap-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Arch independent data forlibrary for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the arch independent data for KLdap.

Package: libkldap-dev
Architecture: any
Multi-Arch: same
Depends: libkpim6ldapcore6 (= ${binary:Version}),
         libkpim6ldapwidgets6 (= ${binary:Version}),
         libldap2-dev,
         libsasl2-dev,
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Recommends: libkldap-doc (= ${source:Version}),
Description: library for accessing LDAP - development files
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the development files.
Section: libdevel

Package: libkldap-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for accessing LDAP (documentation)
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the documentation files.
Section: doc

Package: libkpim6ldapcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkldap-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6ldapwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkldap-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## kldap 25.08.3+p24.04+vunstable+git20251204.0539

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 
 project(KLdap VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${KLdap_SOURCE_DIR}/cmake
@@ -100,7 +100,7 @@
 find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 find_package(Ldap)
 set_package_properties(

=== debian/changelog ===
kldap (25.08.3+p24.04+vunstable+git20251204.0539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:39:47 +0000

kldap (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:45:24 +1000

## kldap 25.08.3+p24.04+vunstable+git20251206.0651

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(KLdap VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

=== debian/changelog ===
kldap (25.08.3+p24.04+vunstable+git20251206.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 06:51:47 +0000

## kldap 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,15 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 
 project(KLdap VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
-set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH

=== debian/changelog ===
kldap (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:53:18 +0000

kldap (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:15:26 +0000

## kldap 25.11.90

=== debian/changelog ===
kldap (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:07:25 +0000

## kldap 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.6.0")
 
 project(KLdap VERSION ${PIM_VERSION})

=== debian/changelog ===
kldap (25.12.0-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 16:19:11 +0000

kldap (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:41:58 +1000

## kldap 25.12.0+p24.04+vstable+git20251222.0518

=== debian/changelog ===
kldap (25.12.0+p24.04+vstable+git20251222.0518-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:18:04 +0000

## kldap 25.12.1

=== debian/changelog ===
kldap (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:47:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
-               libkf6doctools-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6kio-dev (>= 6.14.0~),
-               libkf6widgetsaddons-dev (>= 6.14.0~),
+               libkf6doctools-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6kio-dev (>= 6.18.0~),
+               libkf6widgetsaddons-dev (>= 6.18.0~),
                libldap2-dev,
                libsasl2-dev,
                qt6-base-dev (>= 6.6.0+dfsg~),
                qtkeychain-qt6-dev (>= 0.14.2~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/kldap
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kldap
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kldap.git

## kldap 25.12.1+p24.04+vstable+git20260107.0107

=== debian/changelog ===
kldap (25.12.1+p24.04+vstable+git20260107.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 01:07:02 +0000

kldap (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:33:12 +1000

## kldap 25.12.1+p24.04+vstable+git20260111.0458

=== debian/changelog ===
kldap (25.12.1+p24.04+vstable+git20260111.0458-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 04:58:47 +0000
